# MSP::CCS::VanDerGrinten Class Reference

`#include <VanDerGrinten.h>`

Inheritance diagram for MSP::CCS::VanDerGrinten:

List of all members.

## Public Member Functions

| VanDerGrinten (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double falseEasting, double falseNorthing)
| VanDerGrinten (const VanDerGrinten &v)
| ~VanDerGrinten (void)
VanDerGrinten & | operator= (const VanDerGrinten &v)
MapProjection3Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 100 of file VanDerGrinten.h.

## Constructor & Destructor Documentation

VanDerGrinten::VanDerGrinten | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 126 of file VanDerGrinten.cpp.

VanDerGrinten::VanDerGrinten | ( | const VanDerGrinten & | v | ) |

Definition at line 189 of file VanDerGrinten.cpp.

VanDerGrinten::~VanDerGrinten | ( | void |  | ) |

Definition at line 204 of file VanDerGrinten.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * VanDerGrinten::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 249 of file VanDerGrinten.cpp.

MSP::CCS::GeodeticCoordinates * VanDerGrinten::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 357 of file VanDerGrinten.cpp.

MapProjection3Parameters * VanDerGrinten::getParameters | ( |  | ) | const

Definition at line 229 of file VanDerGrinten.cpp.

VanDerGrinten & VanDerGrinten::operator= | ( | const VanDerGrinten & | v | ) |

Definition at line 209 of file VanDerGrinten.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/grinten/VanDerGrinten.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/grinten/VanDerGrinten.cpp